[Talk-de] openlayers-api

Mitja Kleider mitja at kleider.name
Sa Jan 28 21:50:34 UTC 2012


On 01/27/2012 05:55 PM, Pascal Neis wrote:
> Wolfgang Wienke schrieb:
>> In meinen Webseiten führt der Aufruf
>> <script src="http://openlayers.org/api/OpenLayers.js"></script>
>> ofters zu langen Verzögerungen.
>> Liegt es an mir oder am Server?
> 
> das liegt vermutlich am OpenLayers Server.
> Ich würde dir empfehlen die Scripte selbst
> zu hosten. Also von der OpenLayers Webseite
> herunterladen und auf deinen eigenen Server
> zu packen/von dort einzubinden. Das erspart
> dir lange Wartezeiten und Ärger auf deiner
> Webseite. Allerdings musst du dich dann
> selbst um das Updaten deiner Version kümmern
> (wenn es ein Update bei Openlayers gibt).

Direkt von openlayers.org einzubinden kann ich auch nicht empfehlen.
Also entweder selber hosten, oder eine Version von einem stabileren
Server einbinden. Zum Beispiel vom Wikimedia Toolserver:
http://toolserver.org/~osm/libs/openlayers/2.11/OpenLayers.js

Statt "2.11" kannst du auch "latest" einbinden, die wird von Hand auf
die neuste Version aktualisiert. Wenn viele Karten die Toolserver-URL
nutzen, ist OpenLayers vielleicht schon im Browsercache.


Gruß
Mitja




Mehr Informationen über die Mailingliste Talk-de